Upstream information

CVE-2017-18078 at MITRE

Description

systemd-tmpfiles in systemd before 237 attempts to support ownership/permission changes on hardlinked files even if the fs.protected_hardlinks sysctl is turned off, which allows local users to bypass intended access restrictions via vectors involving a hard link to a file for which the user lacks write access, as demonstrated by changing the ownership of the /etc/passwd file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.4
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low High
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1077925 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libsystemd0 >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-355
SUSE CaaS Platform ALL
  • libsystemd0 >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-CAASP-ALL-2018-355
SUSE Linux Enterprise Build System Kit 12 SP2
  • libudev-mini-devel >= 228-150.32.1
  • libudev-mini1 >= 228-150.32.1
  • systemd-mini >= 228-150.32.1
  • systemd-mini-devel >= 228-150.32.1
  • udev-mini >= 228-150.32.1
Patchnames:
SUSE-SLE-BSK-12-SP2-2018-355
SUSE Linux Enterprise Build System Kit 12 SP3
  • libudev-mini-devel >= 228-150.32.1
  • libudev-mini1 >= 228-150.32.1
  • systemd-mini >= 228-150.32.1
  • systemd-mini-devel >= 228-150.32.1
  • udev-mini >= 228-150.32.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2018-355
SUSE Linux Enterprise Desktop 12 SP2
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-355
SUSE Linux Enterprise Desktop 12 SP3
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-355
SUSE Linux Enterprise Desktop 12 SP4
  • libsystemd0 >= 228-150.49.2
  • libsystemd0-32bit >= 228-150.49.2
  • libudev1 >= 228-150.49.2
  • libudev1-32bit >= 228-150.49.2
  • systemd >= 228-150.49.2
  • systemd-32bit >= 228-150.49.2
  • systemd-bash-completion >= 228-150.49.2
  • systemd-sysvinit >= 228-150.49.2
  • udev >= 228-150.49.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libsystemd0
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libsystemd0 >= 228-155.21
  • libsystemd0-32bit >= 228-155.21
  • libudev1 >= 228-155.21
  • libudev1-32bit >= 228-155.21
  • systemd >= 228-155.21
  • systemd-32bit >= 228-155.21
  • systemd-bash-completion >= 228-155.21
  • systemd-sysvinit >= 228-155.21
  • udev >= 228-155.21
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libsystemd0
SUSE Linux Enterprise Module for Basesystem 15
  • libsystemd0 >= 234-22.3
  • libsystemd0-32bit >= 234-22.3
  • libudev-devel >= 234-22.3
  • libudev1 >= 234-22.3
  • libudev1-32bit >= 234-22.3
  • systemd >= 234-22.3
  • systemd-32bit >= 234-22.3
  • systemd-bash-completion >= 234-22.3
  • systemd-container >= 234-22.3
  • systemd-coredump >= 234-22.3
  • systemd-devel >= 234-22.3
  • systemd-sysvinit >= 234-22.3
  • udev >= 234-22.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libsystemd0
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libsystemd0 >= 234-24.25.1
  • libsystemd0-32bit >= 234-24.25.1
  • libudev-devel >= 234-24.25.1
  • libudev1 >= 234-24.25.1
  • libudev1-32bit >= 234-24.25.1
  • systemd >= 234-24.25.1
  • systemd-32bit >= 234-24.25.1
  • systemd-bash-completion >= 234-24.25.1
  • systemd-container >= 234-24.25.1
  • systemd-coredump >= 234-24.25.1
  • systemd-devel >= 234-24.25.1
  • systemd-sysvinit >= 234-24.25.1
  • udev >= 234-24.25.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libsystemd0
SUSE Linux Enterprise Server 12 SP2
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-355
SUSE Linux Enterprise Server 12 SP3
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-355
SUSE Linux Enterprise Server 12 SP4
  • libsystemd0 >= 228-150.49.2
  • libsystemd0-32bit >= 228-150.49.2
  • libudev1 >= 228-150.49.2
  • libudev1-32bit >= 228-150.49.2
  • systemd >= 228-150.49.2
  • systemd-32bit >= 228-150.49.2
  • systemd-bash-completion >= 228-150.49.2
  • systemd-sysvinit >= 228-150.49.2
  • udev >= 228-150.49.2
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libsystemd0
SUSE Linux Enterprise Server 12 SP5
  • libsystemd0 >= 228-155.21
  • libsystemd0-32bit >= 228-155.21
  • libudev1 >= 228-155.21
  • libudev1-32bit >= 228-155.21
  • systemd >= 228-155.21
  • systemd-32bit >= 228-155.21
  • systemd-bash-completion >= 228-155.21
  • systemd-sysvinit >= 228-155.21
  • udev >= 228-155.21
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libsystemd0
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libsystemd0 >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-355
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-355
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libsystemd0 >= 228-150.32.1
  • libsystemd0-32bit >= 228-150.32.1
  • libudev1 >= 228-150.32.1
  • libudev1-32bit >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-32bit >= 228-150.32.1
  • systemd-bash-completion >= 228-150.32.1
  • systemd-sysvinit >= 228-150.32.1
  • udev >= 228-150.32.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-355
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libudev-devel >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-devel >= 228-150.32.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-355
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libudev-devel >= 228-150.32.1
  • systemd >= 228-150.32.1
  • systemd-devel >= 228-150.32.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-355
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libudev-devel >= 228-150.49.2
  • systemd-devel >= 228-150.49.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libudev-devel
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libudev-devel >= 228-155.21
  • systemd-devel >= 228-155.21
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libudev-devel
openSUSE Leap 15.0
  • libsystemd0 >= 234-lp150.19.1
  • libudev1 >= 234-lp150.19.1
  • libudev1-32bit >= 234-lp150.19.1
  • systemd >= 234-lp150.19.1
  • systemd-32bit >= 234-lp150.19.1
  • systemd-bash-completion >= 234-lp150.19.1
  • systemd-sysvinit >= 234-lp150.19.1
  • udev >= 234-lp150.19.1
Patchnames:
openSUSE Leap 15.0 GA libsystemd0
openSUSE Leap 42.3
  • libsystemd0 >= 228-44.1
  • libsystemd0-32bit >= 228-44.1
  • libsystemd0-debuginfo >= 228-44.1
  • libsystemd0-debuginfo-32bit >= 228-44.1
  • libsystemd0-mini >= 228-44.1
  • libsystemd0-mini-debuginfo >= 228-44.1
  • libudev-devel >= 228-44.1
  • libudev-mini-devel >= 228-44.1
  • libudev-mini1 >= 228-44.1
  • libudev-mini1-debuginfo >= 228-44.1
  • libudev1 >= 228-44.1
  • libudev1-32bit >= 228-44.1
  • libudev1-debuginfo >= 228-44.1
  • libudev1-debuginfo-32bit >= 228-44.1
  • nss-myhostname >= 228-44.1
  • nss-myhostname-32bit >= 228-44.1
  • nss-myhostname-debuginfo >= 228-44.1
  • nss-myhostname-debuginfo-32bit >= 228-44.1
  • nss-mymachines >= 228-44.1
  • nss-mymachines-debuginfo >= 228-44.1
  • systemd >= 228-44.1
  • systemd-32bit >= 228-44.1
  • systemd-bash-completion >= 228-44.1
  • systemd-debuginfo >= 228-44.1
  • systemd-debuginfo-32bit >= 228-44.1
  • systemd-debugsource >= 228-44.1
  • systemd-devel >= 228-44.1
  • systemd-logger >= 228-44.1
  • systemd-mini >= 228-44.1
  • systemd-mini-bash-completion >= 228-44.1
  • systemd-mini-debuginfo >= 228-44.1
  • systemd-mini-debugsource >= 228-44.1
  • systemd-mini-devel >= 228-44.1
  • systemd-mini-sysvinit >= 228-44.1
  • systemd-sysvinit >= 228-44.1
  • udev >= 228-44.1
  • udev-debuginfo >= 228-44.1
  • udev-mini >= 228-44.1
  • udev-mini-debuginfo >= 228-44.1
Patchnames:
openSUSE-2018-216


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 systemd Released
CaaS Platform 2.0 systemd Released
OpenStack Cloud Magnum Orchestration 7.0 systemd Released
SUSE Linux Enterprise Desktop 12 SP2 systemd Released
SUSE Linux Enterprise Desktop 12 SP3 systemd Released
SUSE Linux Enterprise SDK 12 SP2 systemd Released
SUSE Linux Enterprise SDK 12 SP3 systemd Released
SUSE Linux Enterprise Server 12 SP2 systemd Released
SUSE Linux Enterprise Server 12 SP3 systemd Released